[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'ActnList' (#lcl)

# TEnumActionProc

Specifies a routine used to perform actions when enumerating actions.

## Declaration

Source position: actnlist.pas line 285

`type TEnumActionProc = procedure(`
`const Category: string;`
`ActionClass: TBasicActionClass;`
`Info: Pointer`
`) of object;`

## Arguments

`Category` |  | Category name for the action in Info.
`ActionClass` |  | Class type for the action in Info.
`Info` |  | Pointer to the action class instance.

## Description

TEnumActionProc is an object procedure type with the routine executed when enumerating actions. The type is passed as an argument to the EnumRegisteredActions routine, and used in the Lazarus IDE Action List editor.

## See also

EnumRegisteredActions |  | Enumerates the registered actions and calls a routine for values in Info.